%define name	gpodder
%define version	3.0.4
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	A graphical podcast catcher
Version: 	%{version}
Release: 	%{release}
Source:		http://gpodder.org/src/%{name}-%{version}.tar.gz
URL:		http://gpodder.org/
#gw SimpleGladeApp is LGPL
License:	GPLv3+ and LGPLv2+
Group:		Networking/News
BuildRequires:  python-devel
BuildRequires:  python-feedparser >= 5.0.1
BuildRequires:	python-mygpoclient
BuildRequires:  imagemagick
BuildRequires:  desktop-file-utils
BuildRequires:  help2man
BuildRequires:  intltool
BuildArch:	noarch
BuildRequires:	python-mygpoclient
Requires:	pygtk2.0 >= 2.6
Requires:       python-feedparser >= 5.0.1
Requires:	python-mygpoclient >= 1.4
# gw required for HTML show notes
Requires:	python-webkitgtk
# gw for Bluetooth support
Suggests:	bluez-utils bluez-gnome
# for dbus support
Suggests:	python-dbus

%description
gPodder is a Podcast reciever/catcher written in Python, using GTK. It manages
podcast feeds for you and automatically downloads all podcasts from as many
feeds as you like.

%prep
%setup -q
%apply_patches

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name
desktop-file-install --vendor="" \
  --add-category="GTK;Network;News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README
%{_bindir}/*
%_datadir/dbus-1/services/org.gpodder.service
%{_datadir}/%name
%{py_puresitedir}/%name
%{py_puresitedir}/*.egg-info
%{_mandir}/man1/*
%{_datadir}/applications/*
%_datadir/icons/hicolor/*/apps/gpodder.*
%{_datadir}/pixmaps/gpodd*.png


%changelog

* Wed Jan 25 2012 fwang <fwang> 3.0.4-1.mga2
+ Revision: 201405
- new version 3.0.4

* Mon Jan 23 2012 fwang <fwang> 3.0.3-1.mga2
+ Revision: 200193
- new version 3.0.3

* Mon Jan 02 2012 fwang <fwang> 3.0.2-1.mga2
+ Revision: 189603
- new version 3.0.2

* Tue Nov 15 2011 fwang <fwang> 3.0.1-1.mga2
+ Revision: 167874
- cleanup br
- new version 3.0.1

* Fri Sep 09 2011 tv <tv> 2.18-1.mga2
+ Revision: 141788
- new release

* Tue Jul 12 2011 kharec <kharec> 2.16-1.mga2
+ Revision: 122917
- new version 2.16

* Tue Jul 05 2011 ahmad <ahmad> 2.15-3.mga2
+ Revision: 118606
- Suggest python-dbus

* Thu Jun 09 2011 ahmad <ahmad> 2.15-2.mga2
+ Revision: 102685
- Drop old/unneeded scriptlets
- imported package gpodder

